/*
 * Copyright (c) 2005 - 2007, Tranql project contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.tranql.connector.mysql;

import java.sql.SQLException;

import org.tranql.connector.ExceptionSorter;

/**
 * Exception sorter for MySQL.
 *
 * @version $Revision: 518 $ $Date: 2007-09-27 13:21:15 -0700 (Thu, 27 Sep 2007) $
 */
public class MysqlExceptionSorter implements ExceptionSorter  {
    /**
     * Return true if the connection raising this connection is no longer usable.
     *
     * @param e the exception to check
     * @return true if the connection should be discarded
     */
    public boolean isExceptionFatal(Exception e) {
        if (e instanceof SQLException) {
            // todo check error codes
            return false;
        }
        return false;
    }
}
